GLM 0.9.5

- Main Page
- Related Pages
- Modules
- Namespaces
- Files

Functions
GLM_GTX_vector_query
GTX Extensions (Experimental)

## Functions
template<typename T , precision P, template< typename, precision > class vecType>
bool | areCollinear (vecType< T, P > const &v0, vecType< T, P > const &v1, T const &epsilon)
template<typename T , precision P, template< typename, precision > class vecType>
bool | areOrthogonal (vecType< T, P > const &v0, vecType< T, P > const &v1, T const &epsilon)
template<typename T , precision P, template< typename, precision > class vecType>
bool | areOrthonormal (vecType< T, P > const &v0, vecType< T, P > const &v1, T const &epsilon)
template<typename T , precision P, template< typename, precision > class vecType>
vecType< bool, P > | isCompNull (vecType< T, P > const &v, T const &epsilon)
template<typename T , precision P, template< typename, precision > class vecType>
bool | isNormalized (vecType< T, P > const &v, T const &epsilon)
template<typename T , precision P, template< typename, precision > class vecType>
bool | isNull (vecType< T, P > const &v, T const &epsilon)

## Detailed Description

Query informations of vector types.

<glm/gtx/vector_query.hpp> need to be included to use these functionalities.

## Function Documentation

bool glm::areCollinear | ( | vecType< T, P > const & | v0,
|  | vecType< T, P > const & | v1,
|  | T const & | epsilon
| ) |  |

Check whether two vectors are collinears.

See Also
  GLM_GTX_vector_query extensions.

bool glm::areOrthogonal | ( | vecType< T, P > const & | v0,
|  | vecType< T, P > const & | v1,
|  | T const & | epsilon
| ) |  |

Check whether two vectors are orthogonals.

See Also
  GLM_GTX_vector_query extensions.

bool glm::areOrthonormal | ( | vecType< T, P > const & | v0,
|  | vecType< T, P > const & | v1,
|  | T const & | epsilon
| ) |  |

Check whether two vectors are orthonormal.

See Also
  GLM_GTX_vector_query extensions.

vecType<bool, P> glm::isCompNull | ( | vecType< T, P > const & | v,
|  | T const & | epsilon
| ) |  |

Check whether a each component of a vector is null.

See Also
  GLM_GTX_vector_query extensions.

bool glm::isNormalized | ( | vecType< T, P > const & | v,
|  | T const & | epsilon
| ) |  |

Check whether a vector is normalized.

See Also
  GLM_GTX_vector_query extensions.

bool glm::isNull | ( | vecType< T, P > const & | v,
|  | T const & | epsilon
| ) |  |

Check whether a vector is null.

See Also
  GLM_GTX_vector_query extensions.